com.amazon.redshift.osgi

## Class RedshiftBundleActivator

- java.lang.Object
- - com.amazon.redshift.osgi.RedshiftBundleActivator

    public class RedshiftBundleActivator
    extends Object

This class is an OSGi Bundle Activator and should only be used internally by the OSGi Framework.

### Constructor Summary

Constructors
Constructor and Description
`RedshiftBundleActivator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `start(BundleContext context)`
`void` `stop(BundleContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RedshiftBundleActivator

    public RedshiftBundleActivator()

### Method Detail

#### start

    public void start(BundleContext context)
               throws Exception

Throws:
  `Exception`

#### stop

    public void stop(BundleContext context)
              throws Exception

Throws:
  `Exception`